1
0
Fork 0

some non-migrating configuration should be around too for bash; also git grep is probably more efficient than grep

This commit is contained in:
Von Random 2017-10-14 10:20:01 +03:00
parent 5764ab5dc0
commit 3206fdc0d9
2 changed files with 4 additions and 1 deletions

View file

@ -5,6 +5,7 @@ alias less='command less -R'
alias mysql='command mysql --sigint-ignore'
alias pacman='command pacman --color=auto'
alias rgrep='command grep --exclude-dir=\.git -R'
alias ggrep='command git grep'
alias tailf='command less -R +F'
alias vi='command vim'
alias whence='type -P'

4
bashrc
View file

@ -58,9 +58,11 @@ PROMPT_COMMAND=prompt_command
# {{{ plugins and traps
aliases="${HOME}/.aliases"
plugins="${HOME}/.bashplugins"
localconf="${HOME}/.bashlocal"
[[ -r "${aliases}" ]] && . "${aliases}"
[[ -r "${plugins}" ]] && . "${plugins}"
unset aliases plugins
[[ -r "${localconf}" ]] && . "${localconf}"
unset aliases plugins localconf
# we want to see exit code on error (it also has to be the last entry here)
trap 'printf "${red}>>${reset} ${black}exit${reset} ${red}%s${reset}\n" "$?" >&2' ERR